package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.pojo.mes.model.MesOpcLinkModel;
import cn.estsh.i3plus.pojo.mes.model.MesOpcLinkReturnModel;
import cn.estsh.impp.framework.boot.util.ResultBean;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2024-05-29 10:37
 * @Modify:
 **/
public interface IWriteOPCEquipmentService {

    @ApiOperation(value = "查询工单")
    ResultBean doOPCEquipment(List<Map<String, Object>> listData,String xmlString);

    @ApiOperation(value = "writeVariableHttp")
    String writeVariableHttp(String equipmentId,String channel,String clientHandle,String v, String wsUrl)throws Exception;

    @ApiOperation(value = "写值")
    MesOpcLinkReturnModel writeVariable(MesOpcLinkModel mesOpcLinkModel);

    @ApiOperation(value = "读取")
    MesOpcLinkReturnModel readVariable(MesOpcLinkModel mesOpcLinkModel);


}
